=== po/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
	prog = bld.new_task_gen(
		features = 'intltool_po',
		appname = 'pino')
