=== debian/changelog ===
pino (0.2.11-9) unstable; urgency=low

  * Upload to unstable 

 -- Julien Valroff <julien@debian.org>  Sun, 31 Jul 2011 08:08:02 +0200

pino (0.2.11-8) experimental; urgency=low

  * Transition to webkit 1.3 (Closes: #635422)

 -- Julien Valroff <julien@debian.org>  Mon, 25 Jul 2011 21:05:20 +0200

pino (0.2.11-7) experimental; urgency=low

  * Fix FTBFS on Ubuntu (Closes: #635152): build depends on valac-0.10
    instead of valac (<< 0.11) 

 -- Julien Valroff <julien@debian.org>  Sat, 23 Jul 2011 14:51:50 +0200

pino (0.2.11-6) experimental; urgency=low

  * Improve copyright information 
  * Add patch to fix FTBFS with libnotify 0.7 (Closes: #630296)
  * Adjust build dependencies versioning 

 -- Julien Valroff <julien@debian.org>  Mon, 13 Jun 2011 08:17:14 +0200

pino (0.2.11-5) unstable; urgency=low

  * Update to new policy 3.9.2 (no changes needed)
  * Add menu file
  * Update VCS fields 

 -- Julien Valroff <julien@debian.org>  Sun, 24 Apr 2011 08:29:16 +0200

pino (0.2.11-4) unstable; urgency=low

  * Apply patches from upstream bug tracker to allow build with recent
    vala versions (Closes: #614431)

 -- Julien Valroff <julien@debian.org>  Sun, 27 Feb 2011 14:21:52 +0100

pino (0.2.11-3) unstable; urgency=low

  * Bump debhelper compat to 8
  * Upload to unstable 

 -- Julien Valroff <julien@debian.org>  Sun, 13 Feb 2011 09:50:11 +0100

pino (0.2.11-2) experimental; urgency=low

  * Update my email address 
  * Remove DMUA field, now useless 
  * Update copyright information
  * Add patch to fix Spanish translation - thanks to Josue Abarca
    <jmaslibre@debian.org.gt> (Closes: #610502) 

 -- Julien Valroff <julien@debian.org>  Wed, 19 Jan 2011 18:16:51 +0100

pino (0.2.11-1) experimental; urgency=low

  * Initial release (Closes: #573040)

 -- Julien Valroff <julien@kirya.net>  Mon, 16 Aug 2010 14:58:58 +0200
