=== debian/control ===
Source: pino
Section: net
Priority: optional
Maintainer: Julien Valroff <julien@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8),
               cmake (>= 2.6.0),
               valac-0.10,
               libglib2.0-dev,
               libgtk2.0-dev (>= 2.10),
               libgee-dev (>= 0.5.0),
               libnotify-dev (>= 0.7),
               libsoup2.4-dev,
               libxml2-dev,
               libwebkitgtk-dev,
               libunique-dev (>= 1.0),
               libgtkspell-dev,
               gettext,
               libindicate-dev
Homepage: http://pino-app.appspot.com/
Vcs-Git: git://git.kirya.net/debian/pino.git
Vcs-Browser: http://git.kirya.net/?p=debian/pino.git;a=summary

Package: pino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and fast microblogging client
 Pino is a simple and fast Twitter, Identi.ca and StatusNet client.
 .
 Pino provides several advanced features:
  * Multi account support
  * Conversation view
  * Single instance mode
  * Option for hiding tray icon
  * Notification with application icon (for "docks" users) 
  * Fresh statuses color
