=== debian/watch ===
version=3
http://code.google.com/p/pino-twitter/downloads/list?can=1 http://pino-twitter.googlecode.com/files/pino-([\d\.]*)\.tar\.bz2
