## pino 0.2.11+dfsg

=== debian/changelog ===
pino (0.2.11+dfsg-3) unstable; urgency=low

  * Add patch to allow minimal porting for new libindicator - thanks to Evgeni
    Golov <evgeni@debian.org> (Closes: #660775)
  * Update to final DP-5 URI 
  * Bump policy version to 3.9.3

 -- Julien Valroff <julien@debian.org>  Sat, 25 Feb 2012 09:28:17 +0100

pino (0.2.11+dfsg-2) unstable; urgency=low

  * Add librsvg2-common to dependencies (Closes: #655217)
  * Apply patch to fix FTBFS - thanks to Leo Iannacone <l3on@ubuntu.com>
    (Closes: #660478)

 -- Julien Valroff <julien@debian.org>  Sun, 19 Feb 2012 15:43:02 +0100

pino (0.2.11+dfsg-1) unstable; urgency=low

  * Remove waf installation script from the source package (Closes: #654496)
  * Update DEP-5 uri
  * Fix watch file 

 -- Julien Valroff <julien@debian.org>  Wed, 04 Jan 2012 20:21:30 +0100
