=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Julien Valroff <julien@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 8),
                cmake (>= 2.6.0),
                valac-0.10,
@@ -23,7 +23,7 @@
 
 Package: pino
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common
 Description: simple and fast microblogging client
  Pino is a simple and fast Twitter, Identi.ca and StatusNet client.
  .
