=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed"

override_dh_auto_install:
	dh_auto_install
	-rm -f $(CURDIR)/debian/pino/usr/share/doc/pino/INSTALL
	-rm -f $(CURDIR)/debian/pino/usr/share/doc/pino/COPYING
