=== debian/watch ===
version=3
opts=dversionmangle=s/\+.*(?!dfsg)$// \
http://code.google.com/p/pino-twitter/downloads/list?can=1 //pino-twitter.googlecode.com/files/pino-(.+)\.tar\.bz2
